/////////////////////////
// TabOpener.js 1.0.0  //
// 2014-08-29          //
// SYNCK GRAPHICA      //
// www.synck.com       //
/////////////////////////

var TabOpenerStyleSheet = 'TabOpener.css';

(function(){
	var _d = window.document;
	var add = function(elm,listener,fn){
		try { elm.addEventListener(listener,fn,false);}
		catch(e){ elm.attachEvent("on"+listener,fn);};
	};
	(function(){
		add(window,"load",function(){
			var tObj = _d.getElementsByTagName("a");
			for(var i=0;i<tObj.length;i++){
				if(tObj[i].className.indexOf('TabOpener') > -1){
					new TabOpenerObject(tObj[i],true);
				};
			};
			var tObj = _d.getElementsByTagName("img");
			for(var i=0;i<tObj.length;i++){
				if(tObj[i].className.indexOf('TabOpener') > -1){
					tObj[i].style.cursor = 'pointer';
					new TabOpenerObject(tObj[i],false);
				};
			};
		});
	})();
	var TabOpenerObject = function(obj,type){
		var _this = this,src = this.att(obj,'data-src') || obj.src || obj.href;
		(function(){
			obj.onclick = function(){
				_this.tab(obj,src);
				return false;
			};
		})();
	};
	TabOpenerObject.prototype.tab = function(obj,src){
		var _tab = window.open();
		_tab.document.open();
		_tab.document.write('<html><head>');
		_tab.document.write('<link rel="stylesheet" href="'+TabOpenerStyleSheet+'" type="text/css" />');
		_tab.document.write('</head><body><img src="'+src+'" /><button type="button" onclick="window.close()">CLOSE</button></body></html>');
		_tab.document.close();
		_tab.document.title = obj.title || document.title;
		return false;
	};
	TabOpenerObject.prototype.att = function(obj,att){
		if(obj.getAttribute(att) != undefined)
			return obj.getAttribute(att);
		else
			return null;
	};
})();